Subject: bug#2403: 23.0.90; emacs bootstrap under AIX hangs at lisp/international/characters.el

From: Harald Maier <[email-masked]>
Date: Sun, 08 Mar 2009 15:20:52 +0100

Dan Nicolaescu <[email-masked]> writes:

> Another idea: there is a bug being discussed on the list about loading
> international/characters.
> Can you please try removing this line:
>  (load "international/characters")
> from emacs/lisp/loadup.el
> and see if that helps?

Yes, that helps and byte compiling of all the other lisp packages seems
fine. The next problem occurs then in the leim direcotry:

  sed -n '/^[^;]/ p' < /install/tools/emacs/leim/leim-ext.el >> leim-list.el
  Compiling /install/tools/emacs/leim/ja-dic/ja-dic.el

  In toplevel form:
  ja-dic/ja-dic.el:47:1:Error: Args out of range: "ãs æ", 1663, 1663
  make: *** [/install/tools/emacs/leim/ja-dic/ja-dic.elc] Error 1

If I ignore ja-dic.el in "leim/Makefile" then all went fine but then if
I start emacs I get the following startup error in the function

"set_fontset_font":

  Invalid script or charset name: latin

Lisp Backtrace:
"new-fontset" (0x2ff21214)
"setup-default-fontset" (0x2ff21464)
"x-initialize-window-system" (0x2ff215f4)
"byte-code" (0x2ff216d0)
"command-line" (0x2ff21a54)
"normal-top-level" (0x2ff21b70)

Harald